package com.kym.service.miniapp;

import com.github.yulichang.base.MPJBaseService;
import com.kym.common.R;
import com.kym.entity.admin.queryParams.CommonQueryParam;
import com.kym.entity.admin.vo.CustomUserVo;
import com.kym.entity.common.PageBean;
import com.kym.entity.miniapp.User;
import com.kym.entity.miniapp.queryParams.WxLoginParams;
import com.kym.entity.miniapp.vo.UserVo;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-06-27
 */
public interface UserService extends MPJBaseService<User> {

    UserVo getMe();

    void updateUser(UserVo userVo);

    PageBean<UserVo> listUserVo(Integer pageNum, Integer pageSize);

    R<?> wxLogin(WxLoginParams params);

    PageBean<CustomUserVo> listCustomUser(CommonQueryParam params);

    PageBean<User> listSimpleUser(CommonQueryParam params);
}
